<?php
 namespace VnChocola\Module\Customer;
 use TCMS\Module;
 use Route;
 use LayoutData;
 use Model;
 class CustomerInfo extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/info','IndexController','index')->name('customerInfo');
 }
 public function registerComponent() {
 Model::add('CustomersModel', \VnChocola\Model\CustomersModel::class, true);
 Model::add('CarsInfoModel', \VnChocola\Model\CarsInfoModel::class, true);
 Model::add('VisitCustomersModel', \VnChocola\Model\VisitCustomersModel::class, true);
 }
 public function boot() {
 }
 public function middleware(string $routeName, $auth) {
 }
 }
